:root {
    /* Default (light) theme */
    --col-fond: #f3e8d8;
    --col-fond-inter: #ab7f77;
    --col-fond-accent: #ead2cd;
    --col-txt: #212121;
    --col-txt-light: #585858;
    --col-txt-ombre: #5858588b;
    --col-bord: #898EA4;
    --col-btn: #0d47a1;
    --col-btn-vol: #0b069f;
    --col-code: #d81b60;
    --col-surligne: #ffdd33;
    --col-desactive: #efefef;
    --col-blanc: #fff;
    --col-noir: #000;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Arial", sans-serif;
}

.container {
    display: grid;
    grid-template:
        "header"
        "contenu"
        "footer";
    grid-template-rows: auto 1fr auto;
    padding: 5px;
}

.contenu {
    background-color: var(--col-fond-accent);
    color: var(--col-txt);
}

.grille_entete {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 15px;
    /* Espace entre les images */

    /* grid-template-columns: 150px 1fr 100px; */
    grid-template-areas:
        "logo canard mail"
        "menu_li menu_li menu_li";
}

.item1 {
    grid-area: canard;
    display: grid;
    place-items: center;
    padding-top: 10px;
}

.item1 img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.item2 {
    grid-area: logo;
}

.item2 img {
    max-width: 120px;
    height: auto;
    padding: 20px;
    position: fixed;
}

.item3 {
    grid-area: mail;
    display: grid;
    justify-items: end;
}

.item3 img {
    max-height: 90px;
    width: auto;
    padding: 20px;
}

.item4 {
    grid-area: menu_li;
    z-index: 1;
}

.grille_resp {
    display: none;
}

.menu_haut_page {
    display: flex;
    justify-content: center;
    padding-bottom: 10px;
    gap: 10px;
}


.menu_haut_page a {
    text-decoration: none;
    font-size: large;
    color: var(--col-txt);
    width: 100px;
    border: 2px solid var(--col-fond);
    padding: 10px;
    border-radius: 12px;
    background-color: var(--col-fond-inter);
    text-align: center;
    list-style: none;
}

.menu_haut_page a:hover {
    background-color: var(--col-fond-accent);
    font-weight: bold;
}

@media screen and (max-width: 768px) {

    .grille_entete {
        display: none;
    }

    .grille_resp {
        display: grid;
        /* grid-template-columns: repeat(auto-fit, minmax(250px, 1fr)); */
        gap: 5px;
        grid-template-areas:
            "logomm_resp mail_resp mail_resp"
            "pictomenu_resp signature_resp signature_resp";

    }

    .item_r1 {
        grid-area: logomm_resp;
        display: grid;
        place-items: center;
        padding-top: 10px;
        padding-left: 10px;
    }

    .item_r1 img {
        width: 80%;
        height: auto;
        object-fit: cover;

    }

    .item_r2 {
        grid-area: mail_resp;
        display: grid;
        justify-content: right;
        padding-top: 10px;
        padding-right: 10px;
    }

    .item_r3 {
        grid-area: signature_resp;
        display: grid;
        place-items: center;
        padding-top: 10px;
    }

    .item_r3 img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    .item_r4 {
        grid-area: pictomenu_resp;
        display: grid;
        align-content: end;
    }

    .item_r4 img {
        padding-left: 30px;
    }

    #menu_deroulant {
        padding: 0;
        margin: 0;
        list-style: none;
        text-align: center;
        width: 180px;
    }

    #menu_deroulant ul {
        padding: 0;
        margin: 0;
        list-style: none;
        text-align: center;
    }

    #menu_deroulant li {
        /* background-color: #729EBF;
            background-image: -webkit-linear-gradient(top, #729EBF 0%, #333A40 100%);
            background-image: linear-gradient(to bottom, #729EBF 0%, #333A40 100%); */
        border-radius: 6px;
        margin-bottom: 2px;
        /* box-shadow: 3px 3px 3px #999; */
        /* border: solid 1px #333A40 */
    }

    #menu_deroulant li li {
        max-height: 0;
        overflow: hidden;
        transition: all .5s;
        border-radius: 0;
        background: var(--col-txt-light);
        box-shadow: none;
        border: none;
        margin: 0;
    }

    #menu_deroulant a {
        display: block;
        text-decoration: none;
        color: var(--col-blanc);
        padding: 8px 0;
        font-family: verdana;
        font-size: 1.2em;
    }

    #menu_deroulant ul li a,
    #menu_deroulant li:hover li a {
        font-size: 1em;
    }

    #menu_deroulant li:hover {
        background: var(--col-fond);
    }

    #menu_deroulant li li:hover {
        background: var(--col-fond-inter);
    }

    #menu_deroulant ul li:last-child {
        border-radius: 0 0 6px 6px;
        border: none;
    }

    #menu_deroulant li:hover li {
        max-height: 15em;
    }

}